[Stage3D] Starlingを試すのだ! (1) ~導入~

Flash Player 11 から採用された Stage3D を学習するよ。 :bouzu:
Starling Framework を試しちゃうんだからね。 :girl:

starling31

:caution: 要 Flash Player 11.8 以上

まずは、Flash CS5 で、Flash Player 11 書き出しができるようにする。(MXP拡張機能)

参考資料「Flash CS5/CS5.5でFlash Player 11のSWFを書出す - Flash : テクニカルノート
参考資料「日本語版 Flash Professional CS5 & CS5.5 に Flash Player 11 設定を追加する MXP | ClockMaker Blog
Adobe Extension Manager CS5 で、FP11Publish_cs5_JP.mxp をインストール。


次に、Starling Framework を使えるようにする。

参考資料「Starlingフレームワークをインストールする - Flash : テクニカルノート
:check: 「Starling Framework - The GPU powered 2D Flash API
:check: 「PrimaryFeather/Starling-Framework - GitHub
最新版0.9.1 をダウンロードしたよ。(12/01/19 現在)
最新版1.1 をダウンロードしたよ。(12/05/02 現在)
最新版1.2 をダウンロードしたよ。(12/08/28 現在)
最新版1.3 をダウンロードしたよ。(13/01/17 現在)
最新版1.4 をダウンロードしたよ。(13/09/26 現在)
最新版1.4.1 をダウンロードしたよ。(13/11/12 現在)
最新版1.5 をダウンロードしたよ。(14/06/25 現在)
最新版1.5.1 をダウンロードしたよ。(14/06/25 現在)
最新版1.6 をダウンロードしたよ。(14/12/14 現在)


ついでに、Starling Extension も用意しておくよ。

参考資料「たった数行のコードでクールなパーティクル表現を実現! Flash Player 11対応の2Dフレームワーク「Starling Framework」 | ClockMaker Blog
:check: 「PrimaryFeather/Starling-Extension-Particle-System - GitHub


This movie requires Flash Player 11.8.0

リファンレンスは「All Packages - Starling Framework Reference


[追記] (12/01/20 Fri 10:50)
Downloadで取得した 0.9.1 で、パブリッシュすると「エラー#1023: オーバーライドに対応していません。」と怒られます。 😮
ParticleSystem.as (starling.extensions.ParticleSystem.as)
//public override function getBounds(targetSpace:DisplayObject, resultRect:Rectangle=null):Rectangle
public override function getBounds(targetSpace:DisplayObject):Rectangle
と修正すれば、エラーは出なくなります。
:caution: GitHubの方から、ダウンロードした Starling Framework 0.9.1 を使いましょう。

[修正] (12/05/02 Wed 02:07)
Starling 1.1 にバージョンアップ。
[修正] (12/08/28 Tue 22:21)
Starling 1.2 にバージョンアップ。
[修正] (12/08/31 Tue 23:16)
TouchEvent で、Touch が null になることがあるようで、エラー対応。
[修正] (13/01/17 Thu 11:07)
Starling 1.3 にバージョンアップ。
[修正] (13/09/26 Thu 00:01)
Starling 1.4 にバージョンアップ。
[修正] (13/11/12 Tue 18:21)
Starling 1.4.1 にバージョンアップ。
[修正] (14/06/25 Wed 14:54)
Starling 1.5 にバージョンアップ。
[修正] (14/06/25 Wed 16:58)
Starling 1.5.1 にバージョンアップ。
[修正] (14/12/14 Sun 20:19)
Starling 1.6 にバージョンアップ。